import { Context, DatabaseService, Observed as OB } from "koishi";
declare module 'koishi' {
    interface User {
        sr_uid: string;
    }
    interface Binding {
        sr: number[];
    }
    interface Tables {
        star_rail: StarRail;
    }
}
export interface StarRail {
    id: number;
    uid: string;
    doken: string;
    cookie: string;
}
export declare namespace StarRail {
    type Field = keyof StarRail;
    const fields: Field[];
    type Observed<K extends Field = Field> = OB<Pick<StarRail, K>, Promise<void>>;
}
declare class StarRailDatabase extends DatabaseService {
    constructor(app: Context);
}
export default StarRailDatabase;
